import request from '@/utils/request'

export function list() {
    return request({
        url: '/user-boot/function/functionTree',
        method: 'get',
        //params: queryParams
    })
}
export function add(data) {
    return request({
        url: '/user-boot/function/add',
        method: 'post',
        data: data
    })
}
export function update(data) {
    return request({
        url: '/user-boot/function/update',
        method: 'put',
        data: data
    })
}
export function buttonlist(queryParams) {
    return request({
        url: '/user-boot/function/getButtonById',
        method: 'get',
        params: queryParams
    })
}
export function deleteMenu(id) {
    return request({
        url: '/user-boot/function/delete',
        method: 'delete',
        params: id
    })
}
export function baseData(data) {
    return request({
        url: '/user-boot/component/getFatherComponent',
        method: 'get',
        params: data
    })
}